Subject: Re: bug#41038: gcc creates binaries that don't find their shared libraries

From: Ludovic Courtès <[email-masked]>
Date: Tue, 05 May 2020 11:30:38 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> I remember being tripped up by this when I started using Guix.  It is annoying.
>
> I wonder if it's possible to instruct gcc (or ld, I guess) to automatically
> add rpath to where it found the respective library.  That's really what we
> expect to happen in Guix.

See the comment at the top of ld-wrapper.in.  I tried hard to avoid
having a wrapper at all but came to the conclusion that this was the
best we could do (it’s already better than what Nixpkgs did/does, which
is to wrap the whole compiler).

Thanks,
Ludo’.